ApiVersionInfo (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiVersionInfo

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiVersionInfo

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiVersionInfo
      extends Object

  Version information of Cloudera Manager itself.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiVersionInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiVersionInfo` | `buildTimestamp(String buildTimestamp)`
    `ApiVersionInfo` | `buildUser(String buildUser)`
    `boolean` | `equals(Object o)`
    `String` | `getBuildTimestamp()` Build timestamp.
    `String` | `getBuildUser()` The user performing the build.
    `String` | `getGitHash()` Source control management hash.
    `String` | `getVersion()` Version.
    `ApiVersionInfo` | `gitHash(String gitHash)`
    `int` | `hashCode()`
    `Boolean` | `isSnapshot()` Whether this build is a development snapshot.
    `void` | `setBuildTimestamp(String buildTimestamp)`
    `void` | `setBuildUser(String buildUser)`
    `void` | `setGitHash(String gitHash)`
    `void` | `setSnapshot(Boolean snapshot)`
    `void` | `setVersion(String version)`
    `ApiVersionInfo` | `snapshot(Boolean snapshot)`
    `String` | `toString()`
    `ApiVersionInfo` | `version(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiVersionInfo

          public ApiVersionInfo()

  - ### Method Detail

    - #### version

          public ApiVersionInfo version(String version)

    - #### getVersion

          public String getVersion()

      Version.
      Returns:
        version

    - #### setVersion

          public void setVersion(String version)

    - #### snapshot

          public ApiVersionInfo snapshot(Boolean snapshot)

    - #### isSnapshot

          public Boolean isSnapshot()

      Whether this build is a development snapshot.
      Returns:
        snapshot

    - #### setSnapshot

          public void setSnapshot(Boolean snapshot)

    - #### buildUser

          public ApiVersionInfo buildUser(String buildUser)

    - #### getBuildUser

          public String getBuildUser()

      The user performing the build.
      Returns:
        buildUser

    - #### setBuildUser

          public void setBuildUser(String buildUser)

    - #### buildTimestamp

          public ApiVersionInfo buildTimestamp(String buildTimestamp)

    - #### getBuildTimestamp

          public String getBuildTimestamp()

      Build timestamp.
      Returns:
        buildTimestamp

    - #### setBuildTimestamp

          public void setBuildTimestamp(String buildTimestamp)

    - #### gitHash

          public ApiVersionInfo gitHash(String gitHash)

    - #### getGitHash

          public String getGitHash()

      Source control management hash.
      Returns:
        gitHash

    - #### setGitHash

          public void setGitHash(String gitHash)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.